#include "iodefine.h"
#include "ssif_ctrl.h"
#include "common.h"

void init_ssif(void)
{
	
	/* ---- SSI 荞݃xݒ ---- */ 
	INTC.IPR15.BIT._SSI2 = 1u; /* SSI2 */
	INTC.IPR15.BIT._SSI1 = 1u; /* SSI1 */	
	
	
    /* SSI2 pɃ}`vbNXݒ */
	PORT.PFCR0.BIT.PF3MD	= 2;	/* SSISCK2 */
	PORT.PFCR1.BIT.PF4MD	= 2;	/* SSIWS2 */
	PORT.PFCR1.BIT.PF5MD	= 2;	/* SSIDATA2 */
	
	 /* SSI1 pɃ}`vbNXݒ */
	PORT.PFCR0.BIT.PF0MD	= 2;	/* SSISCK1 */
	PORT.PFCR0.BIT.PF1MD	= 2;	/* SSIWS1 */
	PORT.PFCR0.BIT.PF2MD	= 2;	/* SSIDATA1 */
	
	/*@X^oCRg[̉ */
	CPG.STBCR6.BIT.MSTP65	= 0;	/* SSIF2փNbN */
	CPG.STBCR6.BIT.MSTP66	= 0;	/* SSIF1փNbN */

    /* }X^[NbN̑I@*/
	SSIF2.SSICR.BIT.CKS		= 0;	/* I[oTvNbNI:AUDIO_X1*/
	
	/* o̓tH[}bgI2Sɐݒ@*/	
	SSIF2.SSICR.BIT.SCKP	= 0;	/* VArbgNbNɐ: BCKGbWŕω */
	SSIF2.SSICR.BIT.SWSP	= 0;	/* VAWSɐ LchLOW */
	SSIF2.SSICR.BIT.SPDP	= 0;	/* VApfBOɐ */
	SSIF2.SSICR.BIT.SDTA	= 0;	/* VAf[^ACg f[^̌ɃpfBOǉ*/
	SSIF2.SSICR.BIT.PDTA	= 1;	/* pf[^ACg */
	SSIF2.SSICR.BIT.DEL		= 0;	/* VAf[^fBC 1NbNfC*/
#ifdef AUDIO_16M	
	SSIF2.SSICR.BIT.CKDV	= 8;	/* VAI[oTvNbN:AUDIO/6 ;BCK=384fs/6=64fs*/
#else
        SSIF2.SSICR.BIT.CKDV	= 2;	/* VAI[oTvNbN:AUDIO/4 ;BCK=256fs/4=64fs*/
#endif
	SSIF2.SSICR.BIT.SWL		= 3;	/* VXe[h:32rbg */
	SSIF2.SSICR.BIT.DWL		= 1;	/* f[^[h 16rbg*/	
	SSIF2.SSICR.BIT.CHNL	= 0;	/* `l PVXe[hɂP`l*/	
	SSIF2.SSICR.BIT.SCKD	= 1;	/* VArbgNbN:}X^[h */
	SSIF2.SSICR.BIT.SWSD	= 1;	/* VAWS:}X^[h */

	/* 荞݂̐ݒ */		
	SSIF2.SSICR.BIT.TUIEN	= 0;	/* MA_t[݋֎~ */
	SSIF2.SSICR.BIT.TOIEN	= 0;	/* MI[ot[݋֎~ */
	SSIF2.SSICR.BIT.RUIEN	= 0;	/* MA_t[݋֎~ */
	SSIF2.SSICR.BIT.ROIEN	= 0;	/* MI[ot[݋֎~ */
	SSIF2.SSICR.BIT.IIEN	= 0;	/* ACh[h݋֎~ */

	SSIF2.SSICR.BIT.MUEN	= 0;	/* ~[gĂȂ */
	SSIF2.SSICR.BIT.TEN		= 0;	/* M֎~ */
	SSIF2.SSICR.BIT.REN		= 0;	/* M֎~ */

    /* FIFO Rg[WX^[̐ݒ*/
	SSIF2.SSIFCR.BIT.TTRG	= 0;	/* Mf[^gK 7(SSIFDR1i) */
	SSIF2.SSIFCR.BIT.RTRG	= 0;	/* Mf[^gK */
	SSIF2.SSIFCR.BIT.TIE	= 1;	/* Mf[^GveB[荞݂̋ */
	SSIF2.SSIFCR.BIT.RIE	= 0;	/* Mf[^GveB[荞݋֎~*/
	SSIF2.SSIFCR.BIT.TFRST	= 0;	/* MFIFOWX^̃f[^Zbg */
	SSIF2.SSIFCR.BIT.RFRST	= 0;	/* MFIFOWX^̃f[^Zbg */

	SSIF2.SSICR.BIT.TEN		= 1;     /*M*/

	
	
	/* ȉSSI1 SCK}X^[NbNo͗pɃ_~[Őݒ*/
	
	 /* }X^[NbN̑I@*/
	SSIF1.SSICR.BIT.CKS		= 0;	/* I[oTvNbNI:AUDIO_X1*/
	
	/* o̓tH[}bgI2Sɐݒ@*/	
	SSIF1.SSICR.BIT.SCKP	= 0;	/* VArbgNbNɐ: BCKGbWŕω */
	SSIF1.SSICR.BIT.SWSP	= 0;	/* VAWSɐ LchLOW */
	SSIF1.SSICR.BIT.SPDP	= 0;	/* VApfBOɐ */
	SSIF1.SSICR.BIT.SDTA	= 0;	/* VAf[^ACg f[^̌ɃpfBOǉ*/
	SSIF1.SSICR.BIT.PDTA	= 1;	/* pf[^ACg */
	SSIF1.SSICR.BIT.DEL		= 0;	/* VAf[^fBC 1NbNfC*/
        SSIF1.SSICR.BIT.CKDV	= 0;	/* VAI[oTvNbN:AUDIO ;BCK=256fs BCK=384fs@*/
	SSIF1.SSICR.BIT.SWL		= 3;	/* VXe[h:32rbg */
	SSIF1.SSICR.BIT.DWL		= 1;	/* f[^[h 16rbg*/	
	SSIF1.SSICR.BIT.CHNL	= 0;	/* `l PVXe[hɂP`l*/	
	SSIF1.SSICR.BIT.SCKD	= 1;	/* VArbgNbN:}X^[h */
	SSIF1.SSICR.BIT.SWSD	= 1;	/* VAWS:}X^[h */

	/* 荞݂̐ݒ */		
	SSIF1.SSICR.BIT.TUIEN	= 0;	/* MA_t[݋֎~ */
	SSIF1.SSICR.BIT.TOIEN	= 0;	/* MI[ot[݋֎~ */
	SSIF1.SSICR.BIT.RUIEN	= 0;	/* MA_t[݋֎~ */
	SSIF1.SSICR.BIT.ROIEN	= 0;	/* MI[ot[݋֎~ */
	SSIF1.SSICR.BIT.IIEN	= 0;	/* ACh[h݋֎~ */

	SSIF1.SSICR.BIT.MUEN	= 1;	/* ~[gĂ*/
	SSIF1.SSICR.BIT.TEN		= 0;	/* M֎~ */
	SSIF1.SSICR.BIT.REN		= 0;	/* M֎~ */

    /* FIFO Rg[WX^[̐ݒ*/
	SSIF1.SSIFCR.BIT.TTRG	= 0;	/* Mf[^gK 7(SSIFDR1i) */
	SSIF1.SSIFCR.BIT.RTRG	= 0;	/* Mf[^gK */
	SSIF1.SSIFCR.BIT.TIE	= 0;	/* Mf[^GveB[荞݋֎~*/
	SSIF1.SSIFCR.BIT.RIE	= 0;	/* Mf[^GveB[荞݋֎~*/
	SSIF1.SSIFCR.BIT.TFRST	= 0;	/* MFIFOWX^̃f[^Zbg */
	SSIF1.SSIFCR.BIT.RFRST	= 0;	/* MFIFOWX^̃f[^Zbg */

	SSIF1.SSICR.BIT.TEN		= 1;     /*M*/
	
	
#ifdef SSI3_INPUT	
	
		/* ---- SSI 荞݃xݒ ---- */ 
	INTC.IPR15.BIT._SSI3 = 1u; /* SSI3 */
	
	
	
    /* SSI3 pɃ}`vbNXݒ */
	PORT.PFCR1.BIT.PF6MD	= 2;	/* SSISCK3 */
	PORT.PFCR1.BIT.PF7MD	= 2;	/* SSIWS3 */
	PORT.PFCR2.BIT.PF8MD	= 2;	/* SSIDATA3 */

	
	/*@X^oCRg[̉ */
	CPG.STBCR6.BIT.MSTP64	= 0;	/* SSIF3փNbN */


    /* }X^[NbN̑I@*/
	SSIF3.SSICR.BIT.CKS		= 0;	/* I[oTvNbNI:AUDIO_X1*/
	
	/* ̓tH[}bgI2Sɐݒ@*/	
	SSIF3.SSICR.BIT.SCKP	= 0;	/* VArbgNbNɐ: BCKGbWŕω */
	SSIF3.SSICR.BIT.SWSP	= 0;	/* VAWSɐ LchLOW */
	SSIF3.SSICR.BIT.SPDP	= 0;	/* VApfBOɐ */
	SSIF3.SSICR.BIT.SDTA	= 0;	/* VAf[^ACg f[^̌ɃpfBOǉ*/
	SSIF3.SSICR.BIT.PDTA	= 1;	/* pf[^ACg */
	SSIF3.SSICR.BIT.DEL		= 0;	/* VAf[^fBC 1NbNfC*/
    SSIF3.SSICR.BIT.CKDV	= 2;	/* VAI[oTvNbN:AUDIO/4 ;BCK=256fs/4=64fs*/
	SSIF3.SSICR.BIT.SWL		= 3;	/* VXe[h:32rbg */
	SSIF3.SSICR.BIT.DWL		= 1;	/* f[^[h 16rbg*/	
	SSIF3.SSICR.BIT.CHNL	= 0;	/* `l PVXe[hɂP`l*/	
	SSIF3.SSICR.BIT.SCKD	= 0;	/* VArbgNbN:X[u[h */
	SSIF3.SSICR.BIT.SWSD	= 0;	/* VAWS:X[u[h */

	/* 荞݂̐ݒ */		
	SSIF3.SSICR.BIT.TUIEN	= 0;	/* MA_t[݋֎~ */
	SSIF3.SSICR.BIT.TOIEN	= 0;	/* MI[ot[݋֎~ */
	SSIF3.SSICR.BIT.RUIEN	= 0;	/* MA_t[݋֎~ */
	SSIF3.SSICR.BIT.ROIEN	= 0;	/* MI[ot[݋֎~ */
	SSIF3.SSICR.BIT.IIEN	= 0;	/* ACh[h݋֎~ */

	SSIF3.SSICR.BIT.MUEN	= 0;	/* ~[gĂȂ */
	SSIF3.SSICR.BIT.TEN		= 0;	/* M֎~ */
	SSIF3.SSICR.BIT.REN		= 0;	/* M֎~ */

    /* FIFO Rg[WX^[̐ݒ*/
	SSIF3.SSIFCR.BIT.TTRG	= 0;	/* Mf[^gK 7(SSIFDR1i) */
	SSIF3.SSIFCR.BIT.RTRG	= 0;	/* Mf[^gK 1(SSIFDR7i)*/
	SSIF3.SSIFCR.BIT.TIE	= 0;	/* Mf[^GveB[荞݂̋֎~ */
	////////////////////////   
	SSIF3.SSIFCR.BIT.RIE	= 1;	/* Mf[^GveB[荞݋*/
	SSIF3.SSIFCR.BIT.TFRST	= 0;	/* MFIFOWX^̃f[^Zbg */
	SSIF3.SSIFCR.BIT.RFRST	= 0;	/* MFIFOWX^̃f[^Zbg */

	SSIF3.SSICR.BIT.REN		= 1;     /*M*/

#endif   //SSI3_INPUT	
	
}


